Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_SAXPrint_Handler Class Reference

ACEXML_SAXPrint_Handler is an example SAX event handler. More...

`#include <SAXPrint_Handler.h>`

Inheritance diagram for ACEXML_SAXPrint_Handler:

[legend]
Collaboration diagram for ACEXML_SAXPrint_Handler:

[legend]
List of all members.

## Public Methods
| ACEXML_SAXPrint_Handler (const ACEXML_Char *name)
virtual | ~ACEXML_SAXPrint_Handler (void)
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endDocument (ACEXML_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endPrefixMapping (const ACEXML_Char *prefix ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | ignorableWhitespace (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | processingInstruction (const ACEXML_Char *target, const ACEXML_Char *data ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | setDocumentLocator (ACEXML_Locator *locator)
virtual void | skippedEntity (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startDocument (ACEXML_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startPrefixMapping (const ACEXML_Char *prefix, const ACEXML_Char *uri ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | notationDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | unparsedEntityDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual ACEXML_InputSource * | resolveEntity (const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | error (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | fatalError (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | warning (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
void | inc_indent ()
void | dec_indent ()
void | print_indent ()
## Private Attributes
size_t | indent_
ACEXML_Char * | fileName_
ACEXML_Locator * | locator_

## Detailed Description

ACEXML_SAXPrint_Handler is an example SAX event handler.

This SAX event handler try to regenerate the XML document it reads with correct indentation.

## Constructor & Destructor Documentation

ACEXML_SAXPrint_Handler::ACEXML_SAXPrint_Handler | ( | const ACEXML_Char * | name | ) |

ACEXML_SAXPrint_Handler::~ACEXML_SAXPrint_Handler | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACEXML_SAXPrint_Handler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of character data. Reimplemented from ACEXML_DefaultHandler.

ACEXML_INLINE void ACEXML_SAXPrint_Handler::dec_indent | ( |  | ) |

void ACEXML_SAXPrint_Handler::endDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Receive notification of the end of a document. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

virtual void ACEXML_SAXPrint_Handler::endPrefixMapping | ( | const ACEXML_Char *prefix | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| End the scope of a prefix-URI mapping. Reimplemented from ACEXML_DefaultHandler.

virtual void ACEXML_SAXPrint_Handler::error | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a recoverable error. Reimplemented from ACEXML_DefaultHandler.

virtual void ACEXML_SAXPrint_Handler::fatalError | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a non-recoverable error. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::ignorableWhitespace | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of ignorable whitespace in element content. Reimplemented from ACEXML_DefaultHandler.

ACEXML_INLINE void ACEXML_SAXPrint_Handler::inc_indent | ( |  | ) |

virtual void ACEXML_SAXPrint_Handler::notationDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of a notation declaration event. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::print_indent | ( |  | ) |

void ACEXML_SAXPrint_Handler::processingInstruction | ( | const ACEXML_Char * | target,
|  | const ACEXML_Char *data | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of a processing instruction. Reimplemented from ACEXML_DefaultHandler.

virtual ACEXML_InputSource* ACEXML_SAXPrint_Handler::resolveEntity | ( | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Allow the application to resolve external entities. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::setDocumentLocator | ( | ACEXML_Locator * | locator | ) | `[virtual]`

| Receive an object for locating the origin of SAX document events. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::skippedEntity | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a skipped entity. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_SAXPrint_Handler::startDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Receive notification of the beginning of a document. Reimplemented from ACEXML_DefaultHandler.

virtual void ACEXML_SAXPrint_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

virtual void ACEXML_SAXPrint_Handler::startPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | const ACEXML_Char *uri | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Begin the scope of a prefix-URI Namespace mapping. Reimplemented from ACEXML_DefaultHandler.

virtual void ACEXML_SAXPrint_Handler::unparsedEntityDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | const ACEXML_Char *notationName | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of an unparsed entity declaration event. Reimplemented from ACEXML_DefaultHandler.

virtual void ACEXML_SAXPrint_Handler::warning | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a warning. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

ACEXML_Char* ACEXML_SAXPrint_Handler::fileName_`[private]`

size_t ACEXML_SAXPrint_Handler::indent_`[private]`

ACEXML_Locator* ACEXML_SAXPrint_Handler::locator_`[private]`

The documentation for this class was generated from the following files:

- SAXPrint_Handler.h
- SAXPrint_Handler.cpp
- SAXPrint_Handler.i